dht::DhtMessage Class Reference
Inheritance diagram for dht::DhtMessage:
[legend]
Collaboration diagram for dht::DhtMessage:
[legend]

## Public Member Functions

| DhtMessage (std::string s={}, Blob msg={})
std::string | getService () const
Public Member Functions inherited from dht::Value::Serializable< DhtMessage >
virtual const ValueType & | getType () const
virtual void | unpackValue (const Value &v)
virtual Value | packValue () const
virtual const ValueType & | getType () const =0
virtual void | unpackValue (const Value &v)=0
virtual Value | packValue () const =0

## Static Public Member Functions

static Value::Filter | getFilter ()
static bool | storePolicy (InfoHash key, std::shared_ptr< Value > &value, const InfoHash &from, const SockAddr &)
static Value::Filter | ServiceFilter (std::string s)

## Public Attributes

std::string | service
Blob | data

## Static Public Attributes

static const ValueType | TYPE

## Friends

std::ostream & | operator<< (std::ostream &, const DhtMessage &)

## Detailed Description

Definition at line 36 of file default_types.h.

## Constructor & Destructor Documentation

## DhtMessage()

dht::DhtMessage::DhtMessage | ( | std::string | s = `{}`,
|  | Blob | msg = `{}`
| ) |  |

inline

Definition at line 41 of file default_types.h.

## Member Function Documentation

## getFilter()

static Value::Filter dht::DhtMessage::getFilter | ( |  | ) |

inline static

Definition at line 47 of file default_types.h.

## getService()

std::string dht::DhtMessage::getService | ( |  | ) | const

inline

Definition at line 43 of file default_types.h.

## Friends And Related Function Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | ,
|  | const DhtMessage & |
| ) |  |

friend

print value for debugging

## Member Data Documentation

## data

Blob dht::DhtMessage::data

Definition at line 57 of file default_types.h.

## service

std::string dht::DhtMessage::service

Definition at line 56 of file default_types.h.

## TYPE

const ValueType dht::DhtMessage::TYPE

static

Definition at line 39 of file default_types.h.

The documentation for this class was generated from the following file:

- /tmp/slackbuilds_libs/opendht-1.7.4/include/opendht/default_types.h